---
title: "operator-sdk run"
---
## operator-sdk run

Run an Operator in a variety of environments

### Synopsis

This command has subcommands that will run or deploy your Operator in two
different modes: locally and using OLM. These modes are controlled by using 'local'
or 'packagemanifests' subcommands. Run 'operator-sdk run --help' for more
information on these subcommands.


```
operator-sdk run [flags]
```

### Options

```
  -h, --help   help for run
```

### SEE ALSO

* [operator-sdk](../operator-sdk)	 - An SDK for building operators with ease
* [operator-sdk run local](../operator-sdk_run_local)	 - Run an Operator locally
* [operator-sdk run packagemanifests](../operator-sdk_run_packagemanifests)	 - Deploy an Operator in the package manifests format with OLM

